## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASEPrivilege

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Privilege, SQLObject, SybasePrivilege

All Known Implementing Classes:
  SybaseASEPrivilegeImpl

Deprecated.

    public interface SybaseASEPrivilege

extends SybasePrivilege

A representation of the model object 'Sybase ASE Privilege'.

See Also:
  `SybaseasesqlmodelPackage.getSybaseASEPrivilege()`

Method Summary

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybasePrivilege
`isRevoked, setRevoked`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.Privilege
`getAction, getActionObjects, getGrantee, getGrantor, getObject, isGrantable, isWithHierarchy, setAction, setGrantable, setGrantee, setGrantor, setObject, setWithHierarchy`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`